Subject: RE: [ippm] traceroute as WG work item? IPFIX traceroute records

From: "Saverio Niccolini" <[email-masked]>
Date: Thu, 31 Mar 2005 13:04:15 +0200

Hi Emile and all,

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of STEPHAN Emile RD-CORE-LAN
> Sent: Tuesday, March 29, 2005 11:43 AM
> To: Juergen Quittek; Lutz Mark
> Cc: [email-masked]; [email-masked]
> Subject: RE: [ippm] traceroute as WG work item? IPFIX 
> traceroute records
> 
> Hi Juergen and Lutz
> 
> What we experienced with the IPPM MIB is that measures 
> generate a lot of data. So the binary format is the best for 
> collecting. 
> 
> Traceroute Field Types do not differ from Per Packet Field 
> Types (draft-pohl-perpktinfo-02.txt) or from IPPM Field 
> Types, especially if we include spatial and multicast metrics 
> (dratf-stephan-ippm-multimetrics-00.txt). 
> 
> Moreover most of these fields are already defined as 
> illustrated by the example I sent. So it appears very fast 
> and very easy to define in IPFIX a common info model and a 
> common set of templates to export results of IPPM measures, 
> traceroute measures and 'Per Packet' measures. 
> 
> Regarding traceroute metric I propose to try to design this 
> metric using the IPPM framework and terminology (RFC2330), 
> and then to present it to the IPPM WG. At large this document 
> may include metrics definitions of middlebox one-way delay 
> and jitter corresponding to 'Per Packet' measurement technique. 

This is what the section:
"7.  Relevant metrics for traceroute measurements"
of our draft would like to define
(http://www.ietf.org/internet-drafts/draft-niccolini-ippm-storetracerout
es-00.txt).
We would like to define these metrics using the IPPM framework
and terminology (this is why the draft was submitted in the
IPPM working group), anyway we received some comments that there
may be some discrepancies between the IPPM metrics already defined
and the metrics traceroute is using. 

I am not sure that our draft is the right place to define also
metrics of middle-box one-way delay and jitter corresponding
to 'Per Packet' measurement technique. What we had in mind
was something specific to traceroute as in the scope of the
IPPM working group.

I am fine if you suggest to use IPFIX as a data model,
this would mean that the binary mode is your preferred one.
We had also other suggestions just going in the opposite direction.
We still have to reach a consensus on this:
-- text (XML)
-- binary (IPFIX)
this is why we have not yet defined the data model.
If we decide to go for a binary format and, as a binary format, IPFIX,
we will have to discuss it also in the IPFIX WG, of course.

Anyway we are still waiting in order to understand if 
traceroute should be picked up as a IPPM WG item.
I interpret your comments as a suggestion to keep on working
on the topic and that you like the idea of having the
draft to be picked up as a IPPM WG item. Am I right?
What about the other group members?

Best regards,
Saverio

============================================================
Dr. Saverio Niccolini
Research Staff Member
Network Laboratories, NEC Europe Ltd.
Kurfuerstenanlage 36, D-69115 Heidelberg
Tel.     +49 (0)6221 90511-18
Fax:     +49 (0)6221 90511-55
e-mail:  [email-masked]
============================================================

_______________________________________________
ippm mailing list
[email-masked] 
https://www1.ietf.org/mailman/listinfo/ippm